import * as exportTemplate from "./export-template.html";
import ExportController from './export-controller';

export class NwfGridExport {
    static NAME: string = 'nwfGridExport';
    template = exportTemplate;
    controller = ExportController;
    bindings = {
      gridParams: '<'
    };
}

// export factory function
export function NwfGridExportFactory(): NwfGridExport {
    return new NwfGridExport();
}
