import * as paginatorTemplate from './paginator-template.html';
import PaginatorController from './paginator-controller';

export class NwfPaginator {

    static NAME: string = 'nwfPaginator';

    public restrict = 'E';
    public replace = true;
    public template = paginatorTemplate;
    public require = '^nwfGridParamsController';
    public bindToController = true;
    public controllerAs = 'paginator';
    public controller = PaginatorController;
    public link = function (scope, element, attrs, gridParamsController) {
        scope.paramsCtrl = gridParamsController;
    };

    constructor() {

    }

}
// export factory function
export function NwfPaginatorFactory(): NwfPaginator {
    return new NwfPaginator();
}
