interface GridOptions {
    columnDefs?: Array<any>;
    data?: Array<any>;
}

interface GridParams {
    limit?: number;
    offset?: number;
    sort?: string;
    filter?: Array<any>;
}

interface GridOptionsObject {
    useExternalSorting: boolean;
    enableFiltering: boolean;
    enableColumnMenus: boolean;
}

//This definition is specifically used in clientSide Filter Helper.
interface FilterDef {
    columnName: string;
    term: number | string;
    condition: number;
}

