import NwfModalHeaderController from './nwfModalHeader-controller';

export default class NwfModalHeaderComponent {
    static NAME = 'nwfModalHeader';


    bindings = {
        status: '@?'
    };

    transclude = true;

    template = `
        <div class="modal-header is-{{$ctrl.severity}}" ng-if="$ctrl.severity !== ''">
            <div><nwf-icon icon-class="{{$ctrl.iconClass}}" class="{{$ctrl.stateClass}}"></nwf-icon></div>
            <div class="modal-header-content" ng-transclude></div>
        </div>
        <div class="modal-header" ng-transclude ng-if="$ctrl.severity === ''">
        </div>
    `;

    controller = NwfModalHeaderController;

    constructor() {
    }
}
