import * as angular from 'angular';
import NwfLogin from './nwfLogin-component';

export default class NwfLoginModule {

    static NAME = 'nwfLoginModule';

    static DEPENDENCIES: Array<string> = [
    ];

    private native: angular.IModule;

    constructor() {
        this.native = angular.module(NwfLoginModule.NAME, NwfLoginModule.DEPENDENCIES);
        this.native.component('nwfLoginOverlay', {
            controller: ['$rootScope', '$element', function ($rootScope, $element) {

                var el: HTMLElement = $element.get(0);
                $rootScope.$on('nwfHideLogin', function () {
                    el.classList.add('hide');
                });
                $rootScope.$on('nwfShowLogin', function () {
                    el.classList.remove('hide');
                });

            }]
        });
        this.native.component(NwfLogin.NAME, new NwfLogin());

    }
}
