import * as nwfLoginDirective from './nwfLogin-directive.html';
import nwfLoginController from './nwfLogin-controller';

export default class NwfLogin {
    static NAME = 'nwfLogin';
    controller = nwfLoginController;
    template = nwfLoginDirective;
    bindings = {
        appTitle: '@',
        supportHref: '@?',
        supportLabel: '@?',
        helpHref: '@?',
        helpLabel: '@?',
        homeHref: '@?',
        homeLabel: '@?'
    };
}

